OIDC | Login Callback
curl --request GET \
--url https://use.hoop.dev/api/callbackimport requests
url = "https://use.hoop.dev/api/callback"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://use.hoop.dev/api/callback', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}{
"message": "the error description"
}Authentication
OIDC | Login Callback
Exchanges and validates the authorization code for an access token after being redirect by the external provider. A success authentication will redirect the user back to the default redirect url provided in the /login route.
In case of error it will include the query string error=unexpected_error when redirecting.
GET
/
callback
OIDC | Login Callback
Headers
The location header to redirect in case of failure or success. In case of error it will contain the error=<message> query string
Query Parameters
The error description in case of failure to authenticate
The state value (Oauth2)
The authorization code (Oauth2)
Response
Redirect with Success or Error
Was this page helpful?